From efe81052e75d3d401d3708e403a3d569c5c4df5b Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 14 2020 23:42:06 +0000
Subject: [PATCH 272/2232] Touch up &[u8] PR


---

diff --git a/src/lib.rs b/src/lib.rs
index 1ceef52..6348cf4 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -307,6 +307,7 @@
 //! <tr><th>name in Rust</th><th>name in C++</th><th>restrictions</th></tr>
 //! <tr><td>String</td><td>rust::String</td><td></td></tr>
 //! <tr><td>&amp;str</td><td>rust::Str</td><td></td></tr>
+//! <tr><td>&amp;[u8]</td><td>rust::Slice&lt;uint8_t&gt;</td><td><sup><i>arbitrary &amp;[T] not implemented yet</i></sup></td></tr>
 //! <tr><td><a href="https://docs.rs/cxx/0.2/cxx/struct.CxxString.html">CxxString</a></td><td>std::string</td><td><sup><i>cannot be passed by value</i></sup></td></tr>
 //! <tr><td>Box&lt;T&gt;</td><td>rust::Box&lt;T&gt;</td><td><sup><i>cannot hold opaque C++ type</i></sup></td></tr>
 //! <tr><td><a href="https://docs.rs/cxx/0.2/cxx/struct.UniquePtr.html">UniquePtr&lt;T&gt;</a></td><td>std::unique_ptr&lt;T&gt;</td><td><sup><i>cannot hold opaque Rust type</i></sup></td></tr>
@@ -324,7 +325,6 @@
 //!
 //! <table>
 //! <tr><th>name in Rust</th><th>name in C++</th></tr>
-//! <tr><td>&amp;[T]</td><td><sup><i>tbd</i></sup></td></tr>
 //! <tr><td>Vec&lt;T&gt;</td><td><sup><i>tbd</i></sup></td></tr>
 //! <tr><td>BTreeMap&lt;K, V&gt;</td><td><sup><i>tbd</i></sup></td></tr>
 //! <tr><td>HashMap&lt;K, V&gt;</td><td><sup><i>tbd</i></sup></td></tr>
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index adcd4fc..8afa841 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -166,7 +166,7 @@ fn r_take_rust_string(s: String) {
 
 fn r_take_sliceu8(s: &[u8]) {
     assert_eq!(s.len(), 5);
-    assert_eq!(std::str::from_utf8(s).unwrap(), "2020\u{0}");
+    assert_eq!(std::str::from_utf8(s).unwrap(), "2020\0");
 }
 
 fn r_take_unique_ptr_string(s: UniquePtr<CxxString>) {

